
%define realname	Algorithm-Annotate

Name:		perl-%{realname}
Version:	0.10
Release:	4mdk
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl module to represent a series of changes in annotate form
Source0:    http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{realname}-%{version}.tar.gz
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:  perl-Algorithm-Diff
BuildArch:      noarch
%description
Algorithm::Annotate generates a list that is useful for generating output
similar to cvs annotate

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%{perl_vendorlib}/*
%{_mandir}/man3/*
%changelog

* Thu Apr 28 2005 Michael Scherer <misc@mandriva.org> 0.10-4mdk
- use check macro ( and also for amd64 )

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.10-3mdk
- rebuild for new Perl

* Tue Aug 31 2004 Michael Scherer <misc@mandrake.org> 0.10-2mdk 
- rebuild for new perl ( [DIRM] )

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.10-1mdk 
- First MandrakeSoft Package
